using System;

using NetSystem;

namespace ChatLibrary
{
	[Serializable]
	public class NetChatMessage : NetMessage
	{
		private string m_Username;

		public NetChatMessage(string theUsername, string theMessage) : base(theMessage)
		{
			m_Username = theUsername;
		}

		public string Username
		{
			get { return m_Username; }
			set { m_Username = value; }
		}
	}
}