using System;

using NetSystem;

namespace ChatLibrary
{
	[Serializable]
	public class NetUserLeft : NetPacket
	{
		private string m_Username;
		private string m_Reason;

		public NetUserLeft(string theUsername, string theReason)
		{
			m_Username = theUsername;
			m_Reason = theReason;
		}

		public string Username
		{
			get { return m_Username; }
			set { m_Username = value; }
		}

		public string Reason
		{
			get { return m_Reason; }
		}
	}
}