using System;
using System.Net;
using System.Collections;

namespace NetSystem.Server.Collections
{
	public class IPAddressCollection : CollectionBase
	{
		public int AddIPToBanList(IPAddress theIP)
		{
			if(List.IndexOf(theIP) < 0)
			{
				return List.Add(theIP);
			}

			return -1;
		}

		public void Remove(IPAddress theIP)
		{
			List.Remove(theIP);
		}

		public int IndexOf(IPAddress theIP)
		{
			return List.IndexOf(theIP);
		}

		public IPAddress this[int index]
		{
			get { return (IPAddress) List[index]; }
			set { List[index] = value; }
		}
	}
}