using System;

using NetSystem;

namespace ChatLibrary
{
	[Serializable]
	public class NetUserJoin : NetPacket
	{
		private string m_Username;

		public NetUserJoin(string theUsername)
		{
			m_Username = theUsername;
		}

		public string Username
		{
			get { return m_Username; }
			set { m_Username = value; }
		}
	}
}