using System;

namespace ChatServer
{
	public class Init
	{
		[STAThread]
		static void Main(string[] args)
		{
			int port = 1234;

			Console.WriteLine("Welcome to Test Chat Server");
			Console.WriteLine("using NetSystem Library from Alexander Lcking");
			Console.WriteLine("----------------------------------------------\n");

			if(args.Length > 0)
			{
				port = int.Parse(args[0]);
			}

			ChatServer cs = new ChatServer(port);

			string line;
			
			do
			{
				line = Console.ReadLine();
			}
			while(line == "exit");

			cs.Close();
		}
	}
}